export function useWaitForImages(container, callback) {
    const images = container.querySelectorAll('img');
    const imagePromises = Array.from(images).map(img => {
        return new Promise(resolve => {
            if (img.complete) {
                resolve();
            } else {
                img.onload = img.onerror = resolve;
            }
        });
    });

    Promise.all(imagePromises).then(callback);
}
